package com.timtech.profile.dto;

import java.io.Serializable;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import javax.validation.constraints.Size;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ProfileDto implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	@NotNull(message = "Id must not be null", groups = ProfileUpdate.class)
	private String profileId;
	
	@NotNull(message = "First Name is Mandatory")
	private String firstName;
	
	@NotNull(message = "Last Name is Mandatory")
	private String lastName;
	
    @NotNull(message = "Date of Birth is Mandatory")
    private String dateOfBirth;
	
    private String permanentAccountNumber;
	
    @Size(min = 12, max = 12, message = "Aadhar Number should be a 12-digit number")
    private String adharNumber;
	
	@NotBlank(message = "Mobile Number is mandatory")
	private String mobileNumber;
	
	private String status;
	
	public interface ProfileCreate{}
	public interface ProfileUpdate{}
	
}



