package com.timtech.profile.entity;

import java.io.Serializable;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.Document;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@ToString
@Document(collection = "profile")
public class Profile implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	@Id
	private String profileId;
	private String firstName;
	private String lastName;
	private String dateOfBirth;
	@Indexed(unique = true)
	private String permanentAccountNumber;
	@Indexed(unique = true)
	private String adharNumber;
	private String mobileNumber;
	private String status;

}
