package com.timtech.profile.repository;

import org.springframework.data.mongodb.repository.ReactiveMongoRepository;

import com.timtech.profile.entity.Profile;

import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

public interface ProfileRepository extends ReactiveMongoRepository<Profile, String> {
	
	Flux<Profile> findByStatus(String profileStatus);
	
	Mono<Boolean> existsByPermanentAccountNumber(String permanentAccountNumber);

    Mono<Boolean> existsByAdharNumber(String adharNumber);

}
